Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class GroupPersonalizationBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.PortalPersonalizationBean
                  |
                  +--com.beasys.portal.ejb.GroupPersonalizationBean

public class GroupPersonalizationBean
extends PortalPersonalizationBean

The group personalization ejb implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `groupId` The group id/name.

Fields inherited from class com.beasys.portal.ejb.PortalPersonalizationBean
`available, categoryName, column, editable, floatable, mandatory, maximizeable, minimizeable, minimized, moveable, portalName, portletName, row, visible`

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`GroupPersonalizationBean()`

Method Summary
`void` | `ejbCreate(GroupPersonalizationPK pk)` Create the EJB.
`void` | `ejbPostCreate(GroupPersonalizationPK pk)` Ejb post create.
`java.lang.String` | `getGroupId()` Get group id.

Methods inherited from class com.beasys.portal.ejb.PortalPersonalizationBean
`ejbCreate, ejbPostCreate, getCategoryName, getColumn, getPortalName, getPortletName, getRow, isAvailable, isEditable, isFloatable, isMandatory, isMaximizeable, isMinimizeable, isMinimized, isMoveable, isVisible, setAvailable, setColumn, setEditable, setFloatable, setMandatory, setMaximizeable, setMinimizeable, setMinimized, setMoveable, setRow, setVisible`

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupId

    public java.lang.String groupId

  The group id/name.

Constructor Detail

### GroupPersonalizationBean

    public GroupPersonalizationBean()

Method Detail

### ejbCreate

    public void ejbCreate(GroupPersonalizationPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Create the EJB.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error creating the object.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(GroupPersonalizationPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error creating the object.
    `RemoteException` - container error.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved